{% extends 'posts/base.html' %}

{% block title %}Редактировать пост "{{ post['title'] }}"{% endblock %}

{% block container %}
  <h4>Редактировать пост</h4>
  <form method="post" class="my-3">

    <div class="form-group">
      <label for="post-title">Заголовок поста</label>
      <input class="form-control" id="post-title" name="post-title" type="text" value="{{ request.form['title'] or post['title'] }}" required  maxlength="70" placeholder="70 символов">
      <label for="post-description">Краткое описание поста</label>
      <input class="form-control" id="post-description" name="post-description" type="text" value="{{ request.form['description'] or post['description'] }}" required  maxlength="155" placeholder="155 символов">
      <label for="post-body">Текст поста</label>
      <textarea class="form-control" id="post-body" name="post-body" required rows="10">{{ request.form['body'] or post['body'] }}</textarea>
    </div>

    <input class="btn btn-primary btn-block" type="submit" value="Сохранить">
  </form>
  <hr>
  <form action="{{ url_for('posts_bp.delete', post_id=post['id']) }}" method="post">
    <input class="danger" type="submit" value="Удалить" onclick="return confirm('Вы уверены?');">
  </form>
  <a href="{{ url_for('posts_bp.list') }}">Назад к списку постов</a>


{% endblock %}